Skip to content

Get regulatory reporting codes

GET
/api/v2/payments/regulatory-reporting/codes/{countryCode}
Code sample: Shell / cURL
curl --request GET \
--url https://api.ztlpay.io/api/v2/payments/regulatory-reporting/codes/NO \
--header 'Authorization: Bearer <token>'

Retrieves a list of regulatory reporting codes for a specific country. Currently only supported for NO and SE. These codes are used for regulatory reporting when making cross-border payments. Commonly required for payments above 100 000 NOK in Norway, and 150 000 SEK in Sweden.

countryCode
required
string
Example
NO

ISO 3166 country code

List of regulatory reporting codes for the specified country

Media typeapplication/json
object
codes
required
Array<object>
object
code
required

The regulatory reporting code

string
description
required

Description of the regulatory reporting code

string
Example
{
"codes": [
{
"code": "14",
"description": "Kjøp/salg av varer"
}
]
}

Bad request - invalid country code format

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Not found - country code not supported

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Internal server error

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Service unavailable

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9